# $Revision: 1.7 $, $Date: 2004/09/02 20:57:59 $
Summary:	Colourizing a system logs for easier reading
Summary(pl):	Kolorowanie logw systemowych w celu atwiejszego czytania
Name:		lwatch
Version:	0.4.1
Release:	1
License:	GPL v2
Group:		Applications/Console
Source0:	http://dl.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
# Source0-md5:	25e5778ac0199a02288a0caf1c13e21b
URL:		http://sourceforge.net/projects/lwatch/
# Should be used, but it's not:
#BuildRequires:	docbook-utils
BuildRequires:	pcre-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
lwatch is a log parser/analyzer written in C with the PCRE library. It
is small and efficient. You are able to define your own colors using
regexp patterns. The biggest advantage compared to other tools written
in Perl is its speed.

%description -l pl
lwatch to analizator logw napisany w C z uyciem biblioteki PCRE.
Jest may i wydajny. Pozwala definiowa wasne kolory przy uyciu
wzorcw bdcych wyraeniami regularnymi. Najwiksz zalet w
porwnaniu do innych narzdzi, napisanych w Perlu, jest szybko.

%prep
%setup -q

%build
%configure \
	--enable-input=/var/lib/%{name}/syslog.fifo

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_bindir}/*
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/%{name}.conf
%attr(750,root,root) %dir /var/lib/%{name}
%attr(640,root,root) /var/lib/%{name}/syslog.fifo
%{_mandir}/man1/*.1*
%{_mandir}/man5/*.5*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: lwatch.spec,v $
Revision 1.7  2004/09/02 20:57:59  blues
- well, lets trow out docbook-utils, manuals are fine without that...

Revision 1.6  2004/09/02 20:41:01  blues
- license fixed,better place for fifo (add it to package),
  BR:docbook-utils - last thing needs fixes, it looks another name of
  manual-creation utility.

Revision 1.5  2004/09/02 20:10:39  blues
- missing manuals

Revision 1.4  2004/09/02 19:18:58  darekr
- updated to 0.4.1

Revision 1.3  2003/08/26 10:42:50  qboosh
- BR: pcre-devel

Revision 1.2  2003/08/16 11:12:38  qboosh
- adapterized (Log tag was missing), pl description
